GET /admin/securityprofiles
GET https://example.com/admin/securityprofiles
Description
Gets an array of existing security profile IDs.
Examples
The following sample returns an array of existing security profile IDs.
# Request:
curl GET 'https://trial.dsserver.io/admin/securityprofiles' \
'Authorization: Basic YWRtaW46YWRtaW5hZG1pbg=='
# Result:
[
1,
2,
3,
4,
5,
6,
7
]
Authorization
This endpoint supports the Basic authorization method:
Basic
| Header field | Description |
|---|---|
| Authorization | The username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). The return value is an array of valid security profile IDs. |
Error Response
| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) is returned, if the user is not authorized. |